extends /layouts/content.pug

append scripts
  script(
  type="text/javascript",
  src=self.url("scripts/plugins/ui-plugin-auth/remove-user" + (self.debug ? "" : ".min") + ".js")
  )

block content
  article#users
    h2 Users

    table#users-table
      thead
        tr
          th Username
          th Roles
          th Actions
      tbody
        each user in self.users
          tr(data-user-id=user.id)
            td=user.username
            td
              each role in user.roles
                .user-role
                  span=role
                  //|
                  //|
                  //small
                  //  a(href="javascript: void 0;") X
              //a.btn(href="javascript: void 0;") +
            td
              .input-group
                if user.id !== self.user.id
                  a.remove-user-btn.btn(href="javascript: void 0;", data-user-id=user.id) Remove

    h2 Create a new user
    form#creat-user(name="create-user", action=self.url("users"), method="post")
      div
        label(for="username") Username
        input#username.input(name="username", type="text")
      div
        label(for="password") Password
        input#password.input(name="password", type="text")
        |
        | (visible during input)
      div
        button.btn(type="submit") Submit
